Updating 3G on v3.0 to current

Discussion in 'iPhone' started by newgen2005, Feb 22, 2010.

  1. newgen2005

    newgen2005 New Member

    Joined:
    Aug 17, 2008
    Messages:
    12
    Likes Received:
    0
    Device:
    iPhone 3G (Black)
    I have been away from the scene for a while, please could someone tell me the safest way to update my phone to the must current unlockable firmware?

    The phone is a UK 3G on V3.0 jailbroken (Modem Firmware 04.26.08)
    I am not using the official sim so it has to be unlocked.

    Many thanks
  2. DrewGzy

    DrewGzy Active Member

    Joined:
    Dec 11, 2007
    Messages:
    1,205
    Likes Received:
    10
    Your best bet would be to go to 3.1.2 and just run blackra1n and blacksn0w.

    If you want to get up to 3.1.3 your only option right now is Pwnage Tool; you will keep your old baseband and it will be unlockable.
  3. J-Phone

    J-Phone Active Member

    Joined:
    Dec 1, 2009
    Messages:
    4,868
    Likes Received:
    10
    Device:
    iPhone 4 (Black)
    since you have a 3g you can shift restore to fw 3.1.2 if you download the ipsw file. dont ask where to get it.
  4. newgen2005

    newgen2005 New Member

    Joined:
    Aug 17, 2008
    Messages:
    12
    Likes Received:
    0
    Device:
    iPhone 3G (Black)
    Will 3.1.2 update my baseband?

    Do I have to update to 3.1.2 through iTunes (I have fw 3.1.2 on my PC from another source) or do I need to pwn it first then hit shift in itunes and locate pwned fw and restore that? or do I just restore 3.1.2 and pwn it later. I understand blackra1n and blacksn0w jailbrak and unlock but I don't want to update the fw if it update the baseband!

    Please can you guide me?
  5. J-Phone

    J-Phone Active Member

    Joined:
    Dec 1, 2009
    Messages:
    4,868
    Likes Received:
    10
    Device:
    iPhone 4 (Black)
    ok first backup your iphone if u want to save your stuff, then connect ur iphone to itunes and then press restore while holding shift, select the .ipsw file and then it should update and restore. This will still give you the ability to jb and unlock
  6. APV

    APV Well-Known Member

    Joined:
    Jan 22, 2009
    Messages:
    3,036
    Likes Received:
    69
    Device:
    5G iPod touch
    I thought Apple stopped signing the firmware files meaning you can't install any firmware below the (currently) un-hackable 3.1.3.?

    Or maybe that's just with the new 3Gs and iPod touch G3...
  7. Ryuzaki

    Ryuzaki Active Member

    Joined:
    Feb 4, 2009
    Messages:
    2,316
    Likes Received:
    1
    Device:
    iPhone 5 (Black)
    Restore to a clean 3.1.2. It will upgrade your baseband.
    Download and run blackra1n. It will give you the blackra1n.app
    That comes with blacksn0w which is an unlock for 3.1.2.
    Stay there until dev team says otherwise.
    3.1.3 doesn't really, add anything anyway.
    But if you must have it you need a mac.

Share This Page